const express = require('express')
const {upload, add, allteacher, whereteacher, deleteteacher, updateteacher, countinfo, datasheet, application, updateteacherstatus } = require('../controller/teacher.js')

const router = express.Router()


// admission
router.route('/add').post(upload.single("image"), add);
// get admission
router.route('/allteachers').get(allteacher)
router.route('/application').get(application)

// get specify admission
router.route('/whereteacher').get(whereteacher)
// delete admission
router.route('/deleteteacher').delete(deleteteacher)
// update admisson
router.route('/updateteacher').post(upload.single("image"), updateteacher)
router.route('/updateteacherstatus').post(updateteacherstatus)
// datasheet
router.route('/countinfo').get(countinfo)
router.route('/datasheet').post(datasheet)



module.exports = router